Description

I have been doing tests with the new relations functionality. Trying to use the relation reference widget to edit my data, I have noticed that

it's not possible to save changes in  the description expression.

Earlier versions of master something like this "coalesce("oid", <NULL>)" was used by defaulf, where "oid" was the referenced field, and

the widget would work but was not customizable. Later versions no default value is set, and the related comboboxes seem to have items

but with no values.

Associated revisions

Revision 5e21c55d - 2014-02-18 08:01 AM - Matthias Kuhn

[relations] Preview expression from relation reference field config dialog

Fix #9538

History

#1 - 2014-02-11 04:49 AM - Matthias Kuhn

Indeed, this seems to be behaving strange... Will have a look at it sometime.

Please note that for the time being you can use the following workaround: Open the attribute table for the parent (referenced) layer, switch to form view and

define the preview expression there. In my tests, this was then taken into account for the relation reference widget as well.

#2 - 2014-02-11 05:58 AM - Alexandre Neto

- File Captura_de_tela_2014-02-11_13.54.04.png added

Indeed. I have tested and the workaround works fine.

I noticed another issue though. In the referencing layer (child) attribute table list, trying to edit the referencing field (using the widget) the combobox does

seems to open. Check line 2 in the attached image.

Anyway, I must say that I still love this new feature.

#3 - 2014-02-17 11:01 PM - Matthias Kuhn

- Status changed from Open to Closed

2024-05-15 1/2



Fixed in changeset commit:"5e21c55d2b6358da0a8b61beb490ea0dd5f26a0c".

#4 - 2014-02-17 11:10 PM - Matthias Kuhn

- % Done changed from 0 to 50

- Status changed from Closed to In Progress

This fixes the worst part of the problem, i.e. that the expression is not saved when edited in the config dialog. I'll leave this open until the other part (get

reasonable defaults) is also fixed.

#5 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from In Progress to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
